Bug 1021951 - search in /etc/resolv.conf do not resolve multipe domain
search in /etc/resolv.conf do not resolve multipe domain
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: glibc (Show other bugs)
6.2
All Linux
unspecified Severity high
: rc
: ---
Assigned To: Carlos O'Donell
qe-baseos-tools
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-22 07:47 EDT by andrea.campi
Modified: 2016-02-04 06:01 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-04 06:01:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description andrea.campi 2013-10-22 07:47:19 EDT
Description of problem:
/etc/resolv.conf do not resolve sercond or third multiple domain in the search list.

Version-Release number of selected component (if applicable):
Red Hat Enterprise Linux Server release 6.2
Red Hat Enterprise Linux Server release 6.3 (Mybe Not available)
Red Hat Enterprise Linux Server release 6.4

How reproducible:
/etc/resolv.conf
search pippo.it pluto.net
nameserver 151.89.1.65



Steps to Reproduce:
1.
[root@localhost ~]# nslookup server1
Server:         151.89.1.65
Address:        151.89.1.65#53

Name:   server1.pippo.it
Address: 151.89.2.14

2.
[root@localhost ~]# nslookup server2
Server:         151.89.1.65
Address:        151.89.1.65#53

*** Can't find server2: No answer

3.
[root@localhost ~]# nslookup server2.pluto.net
Server:         151.89.1.65
Address:        151.89.1.65#53

Non-authoritative answer:
Name:   server2.pluto.net
Address: 172.19.5.97

Actual results:
[root@localhost ~]# nslookup server2
Server:         151.89.1.65
Address:        151.89.1.65#53

*** Can't find server2: No answer

Expected results:

[root@localhost ~]# nslookup server2
Server:         151.89.1.65
Address:        151.89.1.65#53

Name:   server2.pluto.net
Address: 172.19.5.97


Additional info:
Comment 2 RHEL Product and Program Management 2013-10-25 08:36:12 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 7 Florian Weimer 2016-02-04 06:01:40 EST
This must be something that is specific to the response the resolver 151.89.1.65 for server2.pippo.it.  The description does not contain sufficient data to diagnose this, and the resolver 151.89.1.65 is no longer publicly reachable.

Note You need to log in before you can comment on or make changes to this bug.